__gnu_parallel::_IteratorPair< _Iterator1, _Iterator2, _IteratorCategory >(3cxx)

NAME
__gnu_parallel::_IteratorPair< _Iterator1, _Iterator2, _IteratorCategory >

SYNOPSIS

Inherits std::pair< _Iterator1, _Iterator2 >.

  Public Types

typedef std::iterator_traits< _Iterator1 > _TraitsType
typedef _TraitsType::difference_type difference_type
typedef _Iterator1 first_type
typedef _IteratorCategory iterator_category
typedef _IteratorPair * pointer
typedef _IteratorPair & reference
typedef _Iterator2 second_type
typedef void value_type

  Public Member Functions

_IteratorPair (const _Iterator1 &__first, const _Iterator2 &__second)
operator _Iterator2 () const
_IteratorPair operator+ (difference_type __delta) const
_IteratorPair & operator++ ()
const _IteratorPair operator++ (int)
difference_type operator- (const _IteratorPair &__other) const
_IteratorPair & operator-- ()
const _IteratorPair operator-- (int)
_IteratorPair & operator= (const _IteratorPair &__other)
void swap (pair &__p) noexcept(noexcept(swap(first, __p.first)) &&noexcept(swap(second, __p.second)))

  Public Attributes

_Iterator1 first
_Iterator2 second

Detailed Description

  template<typename _Iterator1, typename _Iterator2, typename _IteratorCategory>
class __gnu_parallel::_IteratorPair< _Iterator1, _Iterator2, _IteratorCategory >" A pair of iterators. The usual iterator operations are applied to both child iterators.

Definition at line 45 of file iterator.h.

Member Typedef Documentation

  typedef _Iterator2 std::pair< _Iterator1 , _Iterator2 >::second_type [inherited]

first_type is the first bound type

Definition at line 99 of file stl_pair.h.

Member Data Documentation

  _Iterator1 std::pair< _Iterator1 , _Iterator2 >::first [inherited]

second_type is the second bound type

Definition at line 101 of file stl_pair.h.

  _Iterator2 std::pair< _Iterator1 , _Iterator2 >::second [inherited]

first is a copy of the first object

Definition at line 102 of file stl_pair.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.